Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88345 - install fails - no attribute deepcopy in module
Summary: install fails - no attribute deepcopy in module
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-09 06:47 UTC by James C. Sexton
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-23 20:09:35 UTC


Attachments (Terms of Use)

Description James C. Sexton 2003-04-09 06:47:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
On attempting a boot from RH9 disk 1: following error is reported

Running anaconda, the Red Hat system installer - please wait ...
Traceback (ost recent call last):
  File "/usr/bin/anaconda", line 456, in ?
    skipMouseProbe = skipmouseprobe)
  File "/usr/lib/python2.2/site-packages/rhpl/xserver.py", line 77, in porbeHW
    videohw = videocard.VideoCardInfo(skipDDCProbe=skipDDCProbe)
  File "/usr/lib/python2.2/site-packages/rhpl/videwcard.py", line 552, in 
__init__
    self.orig_videocards = copy.deepcopy(self.videocards)
AttributeError: 'module' object has no attribute 'deepcopy'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install CD
2.Boot
3.
    

Additional info:

Comment 1 Michael Fulbright 2003-04-09 15:36:57 UTC
Please test your media if you have not already.

Comment 2 David Maude 2003-05-28 11:12:36 UTC
I too have seen this...
dmaude@ntlworld.com


Comment 3 David Maude 2003-05-29 13:10:04 UTC
Mediacheck results in a PASS. And additional attempts to achieve a "no 
probe" install, with suggested command-line settings for memory and 
resolution, hang at "OK, booting the kernel".

I'm using Partition Magic 7 to divide a 40-gig IBM hard disk into four 
chunks: Win2k NTFS, Win2k FAT32, Linux and Linux swap.

Comment 4 David Maude 2003-06-10 09:10:40 UTC
Acting on advice from Red Hat support, I removed the Linux partitions and 
left 15G of free space on the disc unallocated. This runs counter to 
PowerQuest's advice about using Partition Magic to achieve a multi-boot 
scenario - and still doesn't work

Comment 5 Michael Fulbright 2003-06-18 20:58:51 UTC
This particular type of failure occurs mostly when there was corruption loading
a python module from the install source (CD in this case).

I would recommend getting replacement media and/or swapping the CD drive for a
different drive to determine which is causing the issue.

Comment 6 David Maude 2003-06-19 21:38:04 UTC
Thank you. I rebooted using DOS, chose my DVD - as opposed to ATAPI CD/RW - 
drive from there and install proceeeded correctly.

Comment 7 Michael Fulbright 2003-06-23 20:09:35 UTC
Strange things seem to happen with some combination of CD media and drives. I've
seen literally thousands of bug reports which come down to this...


Note You need to log in before you can comment on or make changes to this bug.